require 'sketchup.rb'

def get_dimensions
   model = Sketchup.active_model
   model.start_operation "undo"
   
   entities = model.entities
   mname = model.title

   boundingBox = model.selection[0].bounds
  
   dims = [ boundingBox.height,
            boundingBox.width,
            boundingBox.depth ]
   dims.sort!
   
   Sketchup::set_status_text(("Thickness: " + dims[0].to_s + ". Width: " + dims[1].to_s + ". Length: " + dims[2].to_s ), SB_PROMPT)
   
   model.commit_operation
end

if( not file_loaded?("GetDimensions.rb") )
	add_separator_to_menu("Tools")
    UI.menu("Tools").add_item("Get Dimensions") { get_dimensions }  
end

file_loaded("GetDimensions.rb")